phing-tasks-ext

# Class: FtpDeployTask Source Location: /tasks/ext/FtpDeployTask.php
### Class Overview
    ProjectComponent
       |
       --Task
          |
          --FtpDeployTask
FtpDeployTask #### Author(s): Jorrit Schippers <at ncode dot nl jorrit at ncode dot nl> #### Version: $Id: FtpDeployTask.php 552 2009-08-29 12:18:13Z mrook $ #### Copyright: � 2001,2002 THYRELL. All rights reserved | ### Methods __construct createFileSet init main setClearFirst setDir setHost setMode setPassive setPassword setPort setUsername
### Inherited Variables #### Class: Task Task::$description Task::$location Task::$target Task::$taskName Task::$taskType Task::$wrapper #### Class: ProjectComponent ProjectComponent::$project | ### Inherited Methods #### Class: Task Task::getDescription() Returns the textual description of the task Task::getLocation() Returns the location within the buildfile this task occurs. Used by BuildException to give detailed error messages. Task::getOwningTarget() Returns the owning target of this task. Task::getRegisterSlot() Returns a name Task::getRuntimeConfigurableWrapper() Returns the wrapper object for runtime configuration Task::getTaskName() Returns the name of task, used only for log messages Task::getTaskType() Returns the name of the task under which it was invoked, usually the XML tagname Task::init() Called by the parser to let the task initialize properly. Task::log() Provides a project level log event to the task. Task::main() Called by the project to let the task do it's work. This method may be called more than once, if the task is invoked more than once. For example, if target1 and target2 both depend on target3, then running <em>phing target1 target2</em> will run all tasks in target3 twice. Task::maybeConfigure() Configure this task if it hasn't been done already. Task::perform() Perfrom this task Task::setDescription() Sets a textual description of the task Task::setLocation() Sets the location within the buildfile this task occurs. Called by the parser to set location information. Task::setOwningTarget() Sets the owning target this task belongs to. Task::setRuntimeConfigurableWrapper() Sets the wrapper object this task should use for runtime configurable elements. Task::setTaskName() Sets the name of this task for log messages Task::setTaskType() Sets the type of the task. Usually this is the name of the XML tag #### Class: ProjectComponent ProjectComponent::getProject() Returns a reference to current project ProjectComponent::log() Logs a message with the given priority. ProjectComponent::setProject() References the project to the current component.
### Class Details [line 47] FtpDeployTask Deploys a set of files to a remote FTP server. Example usage: <ftpdeploy host="host" port="21" username="user" password="password" dir="public_html" mode="ascii" clearfirst="true"> <fileset dir="."> <include name="**"/> <exclude name="phing"/> <exclude name="build.xml"/> <exclude name="images/**.png"/> <exclude name="images/**.gif"/> <exclude name="images/**.jpg"/> </fileset> </ftpdeploy> #### Tags:
author: | Jorrit Schippers <at ncode dot nl jorrit at ncode dot nl>
version: | $Id: FtpDeployTask.php 552 2009-08-29 12:18:13Z mrook $
copyright: | � 2001,2002 THYRELL. All rights reserved
since: | 2.3.1
[ Top ] ### Class Methods ### constructor __construct [line 60]
`FtpDeployTask __construct( )`
#### Tags:
access: | public
[ Top ] ### method createFileSet [line 106]
`void createFileSet( )`
[ Top ] ### method init [line 114]
`void init( )`
The init method: check if Net_FTP is available #### Tags:
access: | public
Overrides Task::init() (Called by the parser to let the task initialize properly.) [ Top ] ### method main [line 129]
`void main( )`
The main entry point method. #### Tags:
access: | public
Overrides Task::main() (Called by the project to let the task do it's work. This method may be called more than once, if the task is invoked more than once. For example, if target1 and target2 both depend on target3, then running <em>phing target1 target2</em> will run all tasks in target3 twice.) [ Top ] ### method setClearFirst [line 102]
`void setClearFirst( $clearFirst)`
#### Tags:
access: | public
#### Parameters:
| $clearFirst |
[ Top ] ### method setDir [line 81]
`void setDir( $dir)`
#### Tags:
access: | public
#### Parameters:
| $dir |
[ Top ] ### method setHost [line 65]
`void setHost( $host)`
#### Tags:
access: | public
#### Parameters:
| $host |
[ Top ] ### method setMode [line 85]
`void setMode( $mode)`
#### Tags:
access: | public
#### Parameters:
| $mode |
[ Top ] ### method setPassive [line 97]
`void setPassive( $passive)`
#### Tags:
access: | public
#### Parameters:
| $passive |
[ Top ] ### method setPassword [line 77]
`void setPassword( $password)`
#### Tags:
access: | public
#### Parameters:
| $password |
[ Top ] ### method setPort [line 69]
`void setPort( $port)`
#### Tags:
access: | public
#### Parameters:
| $port |
[ Top ] ### method setUsername [line 73]
`void setUsername( $username)`
#### Tags:
access: | public
#### Parameters:
| $username |
[ Top ] Documentation generated on Mon, 19 Oct 2009 10:51:02 +0200 by phpDocumentor 1.4.3